Get attribute assignment history for a user
curl --request GET \
--url https://api.cal.com/v2/organizations/{orgId}/attributes/assignments/{userId}/history \
--header 'Authorization: <authorization>'import requests
url = "https://api.cal.com/v2/organizations/{orgId}/attributes/assignments/{userId}/history"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.cal.com/v2/organizations/{orgId}/attributes/assignments/{userId}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"userId": 5,
"membershipId": 42,
"auditLogs": [
{
"id": "018ff5cd-6dc4-7d57-bcbc-374702ca8b38",
"timestamp": "2026-06-04T10:00:00.000Z",
"source": "API_V2",
"actor": {
"type": "USER",
"displayName": "Alice Admin",
"displayEmail": "alice@example.com",
"displayAvatar": "https://example.com/avatar.png"
},
"sourceContext": {
"kind": "API_V2"
},
"changes": [
{
"type": "VALUE_CHANGED",
"attribute": {
"id": "attr_dept",
"slug": "department",
"name": "Department",
"type": "SINGLE_SELECT"
},
"previous": {
"optionId": "opt_engineering",
"optionSlug": "engineering",
"value": "Engineering",
"weight": 100
},
"current": {
"optionId": "opt_engineering",
"optionSlug": "engineering",
"value": "Engineering",
"weight": 100
}
}
],
"hasError": true
}
],
"hasMore": true,
"nextCursor": "018ff5cd-6dc4-7d57-bcbc-374702ca8b38"
}
}Assignments
Get attribute assignment history for a user
Required membership role: org admin. PBAC permission: organization.attributes.readAuditLogs. Learn more about API access control at https://cal.com/docs/api-reference/v2/access-control
GET
/
v2
/
organizations
/
{orgId}
/
attributes
/
assignments
/
{userId}
/
history
Get attribute assignment history for a user
Headers
value must be Bearer <token> where <token> is api key prefixed with cal_
Query Parameters
Maximum number of audit log entries to return.
Required range:
1 <= x <= 50Cursor from the previous response.
Example:
"018ff5cd-6dc4-7d57-bcbc-374702ca8b38"
Was this page helpful?
⌘I